Subject: Re: [PATCH 00/16] Remove hash page table slot tracking from linux PTE

From: Ram Pai <[email-masked]>
Date: Sun, 29 Oct 2017 17:51:06 -0700

On Mon, Oct 30, 2017 at 09:04:17AM +1100, Paul Mackerras wrote:
> On Sat, Oct 28, 2017 at 03:35:32PM -0700, Ram Pai wrote:
> > 
> > I like the idea of not tracking the slots at all. It is something the
> > guest should not be knowing or tracking.
> 
> Why do you say that?

'slot' is a internal mechanism used by the hash table to accelerate
mapping an address to a hash-page.  If the hash-table implementation
choose to use a different mechanism to accelerate the mapping, it can't
because that mechanism is baked into the logic of all the consumers.

RP